summaryrefslogtreecommitdiff
path: root/meta/packages/claws-mail
diff options
context:
space:
mode:
authorTomas Frydrych <tf@openedhand.com>2007-04-25 09:36:58 +0000
committerTomas Frydrych <tf@openedhand.com>2007-04-25 09:36:58 +0000
commit03825e79da5b092d3cc19afc97a6db0b22e3a8dc (patch)
tree463d757b517903553646e279b738d1eefba49288 /meta/packages/claws-mail
parentdb07dc1d09605e6abe75d5a4307d6753d0eec574 (diff)
downloadopenembedded-core-03825e79da5b092d3cc19afc97a6db0b22e3a8dc.tar.gz
openembedded-core-03825e79da5b092d3cc19afc97a6db0b22e3a8dc.tar.bz2
openembedded-core-03825e79da5b092d3cc19afc97a6db0b22e3a8dc.zip
claws mail recipe based on OE + owlwindowmenu and some initial UI deugglyficiation patches
git-svn-id: https://svn.o-hand.com/repos/poky/trunk@1547 311d38ba-8fff-0310-9ca6-ca027cbcb966
Diffstat (limited to 'meta/packages/claws-mail')
-rw-r--r--meta/packages/claws-mail/claws-mail.inc67
-rw-r--r--meta/packages/claws-mail/claws-mail_2.9.1.bb1
-rw-r--r--meta/packages/claws-mail/claws-plugin-gtkhtml2-viewer_0.14.1.bb20
-rw-r--r--meta/packages/claws-mail/claws-plugin-maildir_0.24.4.bb20
-rw-r--r--meta/packages/claws-mail/claws-plugin-mailmbox_1.12.4.bb20
-rw-r--r--meta/packages/claws-mail/claws-plugin-rssyl_0.10.bb20
-rw-r--r--meta/packages/claws-mail/files/desktop.patch19
-rw-r--r--meta/packages/claws-mail/files/owl-window-menu.patch1009
-rw-r--r--meta/packages/claws-mail/files/streamline-ui.patch1008
9 files changed, 2184 insertions, 0 deletions
diff --git a/meta/packages/claws-mail/claws-mail.inc b/meta/packages/claws-mail/claws-mail.inc
new file mode 100644
index 0000000000..698f632fbd
--- /dev/null
+++ b/meta/packages/claws-mail/claws-mail.inc
@@ -0,0 +1,67 @@
+SECTION = "x11/network"
+DESCRIPTION = "Mail user agent"
+#DEPENDS = "gtk+ gpgme libetpan libgnomeprint aspell openssl"
+DEPENDS = "gtk+ libetpan openssl libowl"
+LICENSE = "GPL"
+PR = "r3"
+
+SRC_URI = "\
+ ${SOURCEFORGE_MIRROR}/sylpheed-claws/claws-mail-${PV}.tar.bz2 \
+ file://desktop.patch;patch=1 \
+ file://streamline-ui.patch;patch=1 \
+ file://owl-window-menu.patch;patch=1 \
+ "
+
+FILES_${PN} = "${bindir} ${datadir}/pixmaps ${datadir}/applications"
+
+#EXTRA_OECONF = "--disable-aspell-test \
+# --disable-dillo-viewer-plugin --with-aspell-prefix=${STAGING_DIR}/${HOST_SYS} \
+# --enable-aspell"
+
+EXTRA_OECONF = "--disable-aspell-test \
+ --disable-aspell \
+ --disable-manual \
+# --disable-openssl \
+ --disable-crash-dialog \
+ --disable-jpilot \
+ --disable-trayicon-plugin \
+ --disable-spamassassin-plugin \
+ --disable-bogofilter-plugin \
+ --disable-pgpcore-plugin \
+ --disable-pgpmime-plugin \
+ --disable-pgpinline-plugin \
+ --disable-dillo-viewer-plugin \
+ --disable-clamav-plugin \
+# --disable-libetpan \
+ --disable-gnomeprint \
+ --disable-valgrind \
+ "
+
+CFLAGS += "-D_GNU_SOURCE"
+
+inherit autotools pkgconfig
+
+
+do_configure() {
+ gnu-configize
+ libtoolize --force
+ oe_runconf
+}
+
+do_install_append() {
+ install -d ${D}${datadir}/applications
+ install -m 0644 claws-mail.desktop ${D}${datadir}/applications/
+ install -d ${D}${datadir}/pixmaps
+ install -m 0644 claws-mail.png ${D}${datadir}/pixmaps/
+ mv ${D}${bindir}/${TARGET_SYS}-claws-mail ${D}${bindir}/${PN}
+}
+
+do_stage () {
+ autotools_stage_all
+}
+
+#python populate_packages_prepend () {
+# abiword_libdir = bb.data.expand('${libdir}/claws-mail/plugins', d)
+#
+# do_split_packages(d, abiword_libdir, '^(.*)\.so$', 'claws-mail-plugin-%s', 'Claws plugin for %s', extra_depends='')
+#}
diff --git a/meta/packages/claws-mail/claws-mail_2.9.1.bb b/meta/packages/claws-mail/claws-mail_2.9.1.bb
new file mode 100644
index 0000000000..f8a8396b95
--- /dev/null
+++ b/meta/packages/claws-mail/claws-mail_2.9.1.bb
@@ -0,0 +1 @@
+require claws-mail.inc
diff --git a/meta/packages/claws-mail/claws-plugin-gtkhtml2-viewer_0.14.1.bb b/meta/packages/claws-mail/claws-plugin-gtkhtml2-viewer_0.14.1.bb
new file mode 100644
index 0000000000..5ca95d9dfb
--- /dev/null
+++ b/meta/packages/claws-mail/claws-plugin-gtkhtml2-viewer_0.14.1.bb
@@ -0,0 +1,20 @@
+SECTION = "x11/network"
+DESCRIPTION = "Mail user agent plugins"
+DEPENDS = "claws-mail gtkhtml2 curl"
+LICENSE = "GPL"
+PR = "r0"
+
+SRC_URI = "http://www.claws-mail.org/downloads/plugins/gtkhtml2_viewer-${PV}.tar.gz"
+
+inherit autotools pkgconfig
+
+S = "${WORKDIR}/gtkhtml2_viewer-${PV}"
+
+do_configure() {
+ gnu-configize
+ libtoolize --force
+ oe_runconf
+}
+
+FILES_${PN} = "${libdir}/claws-mail/plugins/*.so"
+
diff --git a/meta/packages/claws-mail/claws-plugin-maildir_0.24.4.bb b/meta/packages/claws-mail/claws-plugin-maildir_0.24.4.bb
new file mode 100644
index 0000000000..6032e09918
--- /dev/null
+++ b/meta/packages/claws-mail/claws-plugin-maildir_0.24.4.bb
@@ -0,0 +1,20 @@
+SECTION = "x11/network"
+DESCRIPTION = "Mail user agent plugins"
+DEPENDS = "claws-mail db"
+LICENSE = "GPL"
+PR = "r0"
+
+SRC_URI = "http://www.claws-mail.org/downloads/plugins/maildir-${PV}.tar.gz"
+
+inherit autotools pkgconfig
+
+S = "${WORKDIR}/maildir-${PV}"
+
+do_configure() {
+ gnu-configize
+ libtoolize --force
+ oe_runconf
+}
+
+FILES_${PN} = "${libdir}/claws-mail/plugins/*.so"
+
diff --git a/meta/packages/claws-mail/claws-plugin-mailmbox_1.12.4.bb b/meta/packages/claws-mail/claws-plugin-mailmbox_1.12.4.bb
new file mode 100644
index 0000000000..d1f9e22d22
--- /dev/null
+++ b/meta/packages/claws-mail/claws-plugin-mailmbox_1.12.4.bb
@@ -0,0 +1,20 @@
+SECTION = "x11/network"
+DESCRIPTION = "Mail user agent plugins"
+DEPENDS = "claws-mail"
+LICENSE = "GPL"
+PR = "r0"
+
+SRC_URI = "http://www.claws-mail.org/downloads/plugins/mailmbox-${PV}.tar.gz"
+
+inherit autotools pkgconfig
+
+S = "${WORKDIR}/mailmbox-${PV}"
+
+do_configure() {
+ gnu-configize
+ libtoolize --force
+ oe_runconf
+}
+
+FILES_${PN} = "${libdir}/claws-mail/plugins/*.so"
+
diff --git a/meta/packages/claws-mail/claws-plugin-rssyl_0.10.bb b/meta/packages/claws-mail/claws-plugin-rssyl_0.10.bb
new file mode 100644
index 0000000000..29fc245ac4
--- /dev/null
+++ b/meta/packages/claws-mail/claws-plugin-rssyl_0.10.bb
@@ -0,0 +1,20 @@
+SECTION = "x11/network"
+DESCRIPTION = "Mail user agent plugins"
+DEPENDS = "claws-mail libxml2 curl glib-2.0 gtk+"
+LICENSE = "GPL"
+PR = "r0"
+
+SRC_URI = "http://www.claws-mail.org/downloads/plugins/rssyl-${PV}.tar.gz"
+
+inherit autotools pkgconfig
+
+S = "${WORKDIR}/rssyl-${PV}"
+
+do_configure() {
+ gnu-configize
+ libtoolize --force
+ oe_runconf
+}
+
+FILES_${PN} = "${libdir}/claws-mail/plugins/*.so"
+
diff --git a/meta/packages/claws-mail/files/desktop.patch b/meta/packages/claws-mail/files/desktop.patch
new file mode 100644
index 0000000000..c5ed7a9c7d
--- /dev/null
+++ b/meta/packages/claws-mail/files/desktop.patch
@@ -0,0 +1,19 @@
+Index: claws-mail-2.9.1/claws-mail.desktop
+===================================================================
+--- claws-mail-2.9.1.orig/claws-mail.desktop 2007-04-24 17:40:20.000000000 +0100
++++ claws-mail-2.9.1/claws-mail.desktop 2007-04-25 07:08:36.000000000 +0100
+@@ -1,11 +1,11 @@
+ [Desktop Entry]
+ Encoding=UTF-8
+-Name=Claws Mail
++Name=Mail
+ Exec=claws-mail
+ Icon=claws-mail
+-Info="Claws Mail"
++Info=Email Application
+ Categories=GTK;Network;Email;
+-Comment="Gtk+ based Mail Client"
++Comment=Email Application
+ Terminal=false
+ Type=Application
+ StartupNotify=true
diff --git a/meta/packages/claws-mail/files/owl-window-menu.patch b/meta/packages/claws-mail/files/owl-window-menu.patch
new file mode 100644
index 0000000000..26aeab2b11
--- /dev/null
+++ b/meta/packages/claws-mail/files/owl-window-menu.patch
@@ -0,0 +1,1009 @@
+Index: claws-mail-2.9.1/src/addressbook.c
+===================================================================
+--- claws-mail-2.9.1.orig/src/addressbook.c 2007-04-25 10:18:13.000000000 +0100
++++ claws-mail-2.9.1/src/addressbook.c 2007-04-25 10:30:23.000000000 +0100
+@@ -941,7 +941,6 @@
+ sizeof(addressbook_entries[0]);
+ menubar = menubar_create(window, addressbook_entries, n_entries,
+ "<AddressBook>", NULL);
+- gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0);
+ menu_factory = gtk_item_factory_from_widget(menubar);
+
+ vbox2 = gtk_vbox_new(FALSE, BORDER_WIDTH);
+Index: claws-mail-2.9.1/src/gtk/menu.c
+===================================================================
+--- claws-mail-2.9.1.orig/src/gtk/menu.c 2007-04-25 10:18:13.000000000 +0100
++++ claws-mail-2.9.1/src/gtk/menu.c 2007-04-25 10:30:23.000000000 +0100
+@@ -35,10 +35,7 @@
+ #include "menu.h"
+ #include "utils.h"
+
+-#ifdef MAEMO
+-#include <hildon-widgets/hildon-program.h>
+-#include <gtk/gtkmain.h>
+-#endif
++#include "owlwindowmenu.h"
+
+ static void connect_accel_change_signals(GtkWidget* widget, GtkWidget *wid2) ;
+
+@@ -49,20 +46,14 @@
+ GtkItemFactory *factory;
+ GtkWidget *menubar;
+
+-#ifdef MAEMO
+ factory = gtk_item_factory_new(GTK_TYPE_MENU, path, NULL);
+-#else
+- factory = gtk_item_factory_new(GTK_TYPE_MENU_BAR, path, NULL);
+-#endif
+ gtk_item_factory_set_translate_func(factory, menu_translate,
+ NULL, NULL);
+ gtk_item_factory_create_items(factory, n_entries, entries, data);
+ gtk_window_add_accel_group (GTK_WINDOW (window), factory->accel_group);
+
+ menubar = gtk_item_factory_get_widget(factory, path);
+-#ifdef MAEMO
+- hildon_window_set_menu(HILDON_WINDOW(window), GTK_MENU(menubar));
+-#endif
++ owl_set_window_menu(GTK_WINDOW(window), GTK_MENU(menubar));
+ return menubar;
+ }
+
+Index: claws-mail-2.9.1/src/mainwindow.c
+===================================================================
+--- claws-mail-2.9.1.orig/src/mainwindow.c 2007-04-25 10:26:40.000000000 +0100
++++ claws-mail-2.9.1/src/mainwindow.c 2007-04-25 10:30:23.000000000 +0100
+@@ -1094,8 +1094,6 @@
+ n_menu_entries = sizeof(mainwin_entries) / sizeof(mainwin_entries[0]);
+ menubar = menubar_create(window, mainwin_entries,
+ n_menu_entries, "<Main>", mainwin);
+- gtk_widget_show(menubar);
+- gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0);
+ ifactory = gtk_item_factory_from_widget(menubar);
+
+ /* gtk_widget_show(gtk_item_factory_get_item(ifactory,"/Message/Mailing-List"));
+Index: claws-mail-2.9.1/src/messageview.c
+===================================================================
+--- claws-mail-2.9.1.orig/src/messageview.c 2007-04-25 10:18:13.000000000 +0100
++++ claws-mail-2.9.1/src/messageview.c 2007-04-25 10:30:23.000000000 +0100
+@@ -414,8 +414,6 @@
+ n_menu_entries = sizeof(msgview_entries) / sizeof(msgview_entries[0]);
+ menubar = menubar_create(window, msgview_entries,
+ n_menu_entries, "<MessageView>", msgview);
+- gtk_widget_show(menubar);
+- gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0);
+
+ if (prefs_common.toolbar_detachable) {
+ handlebox = gtk_handle_box_new();
+@@ -478,6 +476,7 @@
+ g_signal_connect(G_OBJECT(window), "key_press_event",
+ G_CALLBACK(key_pressed), msgview);
+ #endif
++ gtk_widget_realize(window);
+ messageview_add_toolbar(msgview, window);
+
+ if (show) {
+Index: claws-mail-2.9.1/configure.ac
+===================================================================
+--- claws-mail-2.9.1.orig/configure.ac 2007-04-25 10:18:13.000000000 +0100
++++ claws-mail-2.9.1/configure.ac 2007-04-25 10:30:23.000000000 +0100
+@@ -406,6 +406,11 @@
+ AC_SUBST(GTK_CFLAGS)
+ AC_SUBST(GTK_LIBS)
+
++OWL_CFLAGS=""
++OWL_LIBS="-lowl"
++AC_SUBST(OWL_CFLAGS)
++AC_SUBST(OWL_LIBS)
++
+ dnl GNU/Aspell is used for spell checking
+ AC_ARG_ENABLE(aspell,
+ [ --disable-aspell Disable GNU/aspell support [default=yes]],
+Index: claws-mail-2.9.1/src/Makefile.am
+===================================================================
+--- claws-mail-2.9.1.orig/src/Makefile.am 2007-04-25 10:18:13.000000000 +0100
++++ claws-mail-2.9.1/src/Makefile.am 2007-04-25 10:30:23.000000000 +0100
+@@ -471,7 +471,8 @@
+ $(LIBICONV) \
+ $(STARTUP_NOTIFICATION_LIBS) \
+ $(LIBETPAN_LIBS) \
+- $(MAEMO_LIBS)
++ $(MAEMO_LIBS) \
++ $(OWL_LIBS)
+
+ AM_CPPFLAGS = \
+ -DG_LOG_DOMAIN=\"Claws-Mail\" \
+@@ -489,6 +490,7 @@
+ $(LIBETPAN_CPPFLAGS) \
+ $(STARTUP_NOTIFICATION_CFLAGS) \
+ $(MAEMO_CFLAGS) \
++ $(OWL_CFLAGS) \
+ -Wno-unused-function
+
+ #no-unused-function is there because of bison stuff
+Index: claws-mail-2.9.1/configure
+===================================================================
+--- claws-mail-2.9.1.orig/configure 2007-04-25 10:18:13.000000000 +0100
++++ claws-mail-2.9.1/configure 2007-04-25 10:30:23.000000000 +0100
+@@ -769,7 +769,6 @@
+ # include <unistd.h>
+ #endif"
+
+-gt_needs=
+ ac_subst_vars='SHELL
+ PATH_SEPARATOR
+ PACKAGE_NAME
+@@ -942,6 +941,8 @@
+ PASSCRYPT_KEY
+ GTK_CFLAGS
+ GTK_LIBS
++OWL_LIBS
++OWL_CFLAGS
+ ASPELL
+ ASPELL_CFLAGS
+ ASPELL_LIBS
+@@ -2063,7 +2064,6 @@
+ >$cache_file
+ fi
+
+-gt_needs="$gt_needs "
+ # Check that the precious variables saved in the cache have kept the same
+ # value.
+ ac_cache_corrupted=false
+@@ -3001,9 +3001,7 @@
+ # Put the nasty error message in config.log where it belongs
+ echo "$GNOME2_PKG_ERRORS" >&5
+
+- { echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6; }
+- ac_enable_gnome2=no
++ ac_enable_gnome2=no
+ elif test $pkg_failed = untried; then
+ ac_enable_gnome2=no
+ else
+@@ -4147,14 +4145,12 @@
+
+
+
+-
+- { echo "$as_me:$LINENO: checking for strerror in -lcposix" >&5
+-echo $ECHO_N "checking for strerror in -lcposix... $ECHO_C" >&6; }
+-if test "${ac_cv_lib_cposix_strerror+set}" = set; then
++{ echo "$as_me:$LINENO: checking for library containing strerror" >&5
++echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6; }
++if test "${ac_cv_search_strerror+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+- ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lcposix $LIBS"
++ ac_func_search_save_LIBS=$LIBS
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h. */
+ _ACEOF
+@@ -4177,7 +4173,14 @@
+ return 0;
+ }
+ _ACEOF
+-rm -f conftest.$ac_objext conftest$ac_exeext
++for ac_lib in '' cposix; do
++ if test -z "$ac_lib"; then
++ ac_res="none required"
++ else
++ ac_res=-l$ac_lib
++ LIBS="-l$ac_lib $ac_func_search_save_LIBS"
++ fi
++ rm -f conftest.$ac_objext conftest$ac_exeext
+ if { (ac_try="$ac_link"
+ case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+@@ -4195,25 +4198,35 @@
+ test ! -s conftest.err
+ } && test -s conftest$ac_exeext &&
+ $as_test_x conftest$ac_exeext; then
+- ac_cv_lib_cposix_strerror=yes
++ ac_cv_search_strerror=$ac_res
+ else
+ echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+
+- ac_cv_lib_cposix_strerror=no
++
+ fi
+
+ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+- conftest$ac_exeext conftest.$ac_ext
+-LIBS=$ac_check_lib_save_LIBS
++ conftest$ac_exeext
++ if test "${ac_cv_search_strerror+set}" = set; then
++ break
++fi
++done
++if test "${ac_cv_search_strerror+set}" = set; then
++ :
++else
++ ac_cv_search_strerror=no
+ fi
+-{ echo "$as_me:$LINENO: result: $ac_cv_lib_cposix_strerror" >&5
+-echo "${ECHO_T}$ac_cv_lib_cposix_strerror" >&6; }
+-if test $ac_cv_lib_cposix_strerror = yes; then
+- LIBS="$LIBS -lcposix"
++rm conftest.$ac_ext
++LIBS=$ac_func_search_save_LIBS
+ fi
++{ echo "$as_me:$LINENO: result: $ac_cv_search_strerror" >&5
++echo "${ECHO_T}$ac_cv_search_strerror" >&6; }
++ac_res=$ac_cv_search_strerror
++if test "$ac_res" != no; then
++ test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
+
+-
++fi
+
+ # Find a good install program. We prefer a C program (faster),
+ # so one script is as good as another. But avoid the broken or
+@@ -5769,7 +5782,7 @@
+ ;;
+ *-*-irix6*)
+ # Find out which ABI we are using.
+- echo '#line 5772 "configure"' > conftest.$ac_ext
++ echo '#line 5785 "configure"' > conftest.$ac_ext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+@@ -8555,11 +8568,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:8558: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:8571: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:8562: \$? = $ac_status" >&5
++ echo "$as_me:8575: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -8823,11 +8836,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:8826: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:8839: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:8830: \$? = $ac_status" >&5
++ echo "$as_me:8843: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -8927,11 +8940,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:8930: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:8943: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:8934: \$? = $ac_status" >&5
++ echo "$as_me:8947: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -11224,7 +11237,7 @@
+ lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+ lt_status=$lt_dlunknown
+ cat > conftest.$ac_ext <<EOF
+-#line 11227 "configure"
++#line 11240 "configure"
+ #include "confdefs.h"
+
+ #if HAVE_DLFCN_H
+@@ -11324,7 +11337,7 @@
+ lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+ lt_status=$lt_dlunknown
+ cat > conftest.$ac_ext <<EOF
+-#line 11327 "configure"
++#line 11340 "configure"
+ #include "confdefs.h"
+
+ #if HAVE_DLFCN_H
+@@ -13660,11 +13673,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:13663: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:13676: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:13667: \$? = $ac_status" >&5
++ echo "$as_me:13680: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -13764,11 +13777,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:13767: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:13780: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:13771: \$? = $ac_status" >&5
++ echo "$as_me:13784: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -15325,11 +15338,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:15328: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:15341: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:15332: \$? = $ac_status" >&5
++ echo "$as_me:15345: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -15429,11 +15442,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:15432: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:15445: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:15436: \$? = $ac_status" >&5
++ echo "$as_me:15449: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -17616,11 +17629,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:17619: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:17632: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:17623: \$? = $ac_status" >&5
++ echo "$as_me:17636: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -17884,11 +17897,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:17887: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:17900: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:17891: \$? = $ac_status" >&5
++ echo "$as_me:17904: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -17988,11 +18001,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:17991: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:18004: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:17995: \$? = $ac_status" >&5
++ echo "$as_me:18008: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -20960,16 +20973,9 @@
+ found_so=
+ found_a=
+ if test $use_additional = yes; then
+- if test -n "$shlibext" \
+- && { test -f "$additional_libdir/lib$name.$shlibext" \
+- || { test "$shlibext" = dll \
+- && test -f "$additional_libdir/lib$name.dll.a"; }; }; then
++ if test -n "$shlibext" && test -f "$additional_libdir/lib$name.$shlibext"; then
+ found_dir="$additional_libdir"
+- if test -f "$additional_libdir/lib$name.$shlibext"; then
+- found_so="$additional_libdir/lib$name.$shlibext"
+- else
+- found_so="$additional_libdir/lib$name.dll.a"
+- fi
++ found_so="$additional_libdir/lib$name.$shlibext"
+ if test -f "$additional_libdir/lib$name.la"; then
+ found_la="$additional_libdir/lib$name.la"
+ fi
+@@ -20997,16 +21003,9 @@
+ case "$x" in
+ -L*)
+ dir=`echo "X$x" | sed -e 's/^X-L//'`
+- if test -n "$shlibext" \
+- && { test -f "$dir/lib$name.$shlibext" \
+- || { test "$shlibext" = dll \
+- && test -f "$dir/lib$name.dll.a"; }; }; then
++ if test -n "$shlibext" && test -f "$dir/lib$name.$shlibext"; then
+ found_dir="$dir"
+- if test -f "$dir/lib$name.$shlibext"; then
+- found_so="$dir/lib$name.$shlibext"
+- else
+- found_so="$dir/lib$name.dll.a"
+- fi
++ found_so="$dir/lib$name.$shlibext"
+ if test -f "$dir/lib$name.la"; then
+ found_la="$dir/lib$name.la"
+ fi
+@@ -21927,13 +21926,6 @@
+
+
+
+-
+-
+-
+-
+-
+-
+-
+ { echo "$as_me:$LINENO: checking for CFPreferencesCopyAppValue" >&5
+ echo $ECHO_N "checking for CFPreferencesCopyAppValue... $ECHO_C" >&6; }
+ if test "${gt_cv_func_CFPreferencesCopyAppValue+set}" = set; then
+@@ -22070,37 +22062,17 @@
+ LTLIBINTL=
+ POSUB=
+
+- case " $gt_needs " in
+- *" need-formatstring-macros "*) gt_api_version=3 ;;
+- *" need-ngettext "*) gt_api_version=2 ;;
+- *) gt_api_version=1 ;;
+- esac
+- gt_func_gnugettext_libc="gt_cv_func_gnugettext${gt_api_version}_libc"
+- gt_func_gnugettext_libintl="gt_cv_func_gnugettext${gt_api_version}_libintl"
+-
+ if test "$USE_NLS" = "yes"; then
+ gt_use_preinstalled_gnugettext=no
+
+
+- if test $gt_api_version -ge 3; then
+- gt_revision_test_code='
+-#ifndef __GNU_GETTEXT_SUPPORTED_REVISION
+-#define __GNU_GETTEXT_SUPPORTED_REVISION(major) ((major) == 0 ? 0 : -1)
+-#endif
+-typedef int array [2 * (__GNU_GETTEXT_SUPPORTED_REVISION(0) >= 1) - 1];
+-'
+- else
+- gt_revision_test_code=
+- fi
+- if test $gt_api_version -ge 2; then
+- gt_expression_test_code=' + * ngettext ("", "", 0)'
+- else
+- gt_expression_test_code=
+- fi
++
++
++
+
+ { echo "$as_me:$LINENO: checking for GNU gettext in libc" >&5
+ echo $ECHO_N "checking for GNU gettext in libc... $ECHO_C" >&6; }
+-if { as_var=$gt_func_gnugettext_libc; eval "test \"\${$as_var+set}\" = set"; }; then
++if test "${gt_cv_func_gnugettext1_libc+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+ cat >conftest.$ac_ext <<_ACEOF
+@@ -22110,14 +22082,13 @@
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h. */
+ #include <libintl.h>
+-$gt_revision_test_code
+ extern int _nl_msg_cat_cntr;
+ extern int *_nl_domain_bindings;
+ int
+ main ()
+ {
+ bindtextdomain ("", "");
+-return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_domain_bindings
++return * gettext ("") + _nl_msg_cat_cntr + *_nl_domain_bindings
+ ;
+ return 0;
+ }
+@@ -22140,22 +22111,21 @@
+ test ! -s conftest.err
+ } && test -s conftest$ac_exeext &&
+ $as_test_x conftest$ac_exeext; then
+- eval "$gt_func_gnugettext_libc=yes"
++ gt_cv_func_gnugettext1_libc=yes
+ else
+ echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+
+- eval "$gt_func_gnugettext_libc=no"
++ gt_cv_func_gnugettext1_libc=no
+ fi
+
+ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext conftest.$ac_ext
+ fi
+-ac_res=`eval echo '${'$gt_func_gnugettext_libc'}'`
+- { echo "$as_me:$LINENO: result: $ac_res" >&5
+-echo "${ECHO_T}$ac_res" >&6; }
++{ echo "$as_me:$LINENO: result: $gt_cv_func_gnugettext1_libc" >&5
++echo "${ECHO_T}$gt_cv_func_gnugettext1_libc" >&6; }
+
+- if { eval "gt_val=\$$gt_func_gnugettext_libc"; test "$gt_val" != "yes"; }; then
++ if test "$gt_cv_func_gnugettext1_libc" != "yes"; then
+
+
+
+@@ -22398,16 +22368,9 @@
+ found_so=
+ found_a=
+ if test $use_additional = yes; then
+- if test -n "$shlibext" \
+- && { test -f "$additional_libdir/lib$name.$shlibext" \
+- || { test "$shlibext" = dll \
+- && test -f "$additional_libdir/lib$name.dll.a"; }; }; then
++ if test -n "$shlibext" && test -f "$additional_libdir/lib$name.$shlibext"; then
+ found_dir="$additional_libdir"
+- if test -f "$additional_libdir/lib$name.$shlibext"; then
+- found_so="$additional_libdir/lib$name.$shlibext"
+- else
+- found_so="$additional_libdir/lib$name.dll.a"
+- fi
++ found_so="$additional_libdir/lib$name.$shlibext"
+ if test -f "$additional_libdir/lib$name.la"; then
+ found_la="$additional_libdir/lib$name.la"
+ fi
+@@ -22435,16 +22398,9 @@
+ case "$x" in
+ -L*)
+ dir=`echo "X$x" | sed -e 's/^X-L//'`
+- if test -n "$shlibext" \
+- && { test -f "$dir/lib$name.$shlibext" \
+- || { test "$shlibext" = dll \
+- && test -f "$dir/lib$name.dll.a"; }; }; then
++ if test -n "$shlibext" && test -f "$dir/lib$name.$shlibext"; then
+ found_dir="$dir"
+- if test -f "$dir/lib$name.$shlibext"; then
+- found_so="$dir/lib$name.$shlibext"
+- else
+- found_so="$dir/lib$name.dll.a"
+- fi
++ found_so="$dir/lib$name.$shlibext"
+ if test -f "$dir/lib$name.la"; then
+ found_la="$dir/lib$name.la"
+ fi
+@@ -22712,7 +22668,7 @@
+
+ { echo "$as_me:$LINENO: checking for GNU gettext in libintl" >&5
+ echo $ECHO_N "checking for GNU gettext in libintl... $ECHO_C" >&6; }
+-if { as_var=$gt_func_gnugettext_libintl; eval "test \"\${$as_var+set}\" = set"; }; then
++if test "${gt_cv_func_gnugettext1_libintl+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+ gt_save_CPPFLAGS="$CPPFLAGS"
+@@ -22726,7 +22682,6 @@
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h. */
+ #include <libintl.h>
+-$gt_revision_test_code
+ extern int _nl_msg_cat_cntr;
+ extern
+ #ifdef __cplusplus
+@@ -22737,7 +22692,7 @@
+ main ()
+ {
+ bindtextdomain ("", "");
+-return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_expand_alias ("")
++return * gettext ("") + _nl_msg_cat_cntr + *_nl_expand_alias ("")
+ ;
+ return 0;
+ }
+@@ -22760,17 +22715,17 @@
+ test ! -s conftest.err
+ } && test -s conftest$ac_exeext &&
+ $as_test_x conftest$ac_exeext; then
+- eval "$gt_func_gnugettext_libintl=yes"
++ gt_cv_func_gnugettext1_libintl=yes
+ else
+ echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+
+- eval "$gt_func_gnugettext_libintl=no"
++ gt_cv_func_gnugettext1_libintl=no
+ fi
+
+ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext conftest.$ac_ext
+- if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" != yes; } && test -n "$LIBICONV"; then
++ if test "$gt_cv_func_gnugettext1_libintl" != yes && test -n "$LIBICONV"; then
+ LIBS="$LIBS $LIBICONV"
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h. */
+@@ -22779,7 +22734,6 @@
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h. */
+ #include <libintl.h>
+-$gt_revision_test_code
+ extern int _nl_msg_cat_cntr;
+ extern
+ #ifdef __cplusplus
+@@ -22790,7 +22744,7 @@
+ main ()
+ {
+ bindtextdomain ("", "");
+-return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_expand_alias ("")
++return * gettext ("") + _nl_msg_cat_cntr + *_nl_expand_alias ("")
+ ;
+ return 0;
+ }
+@@ -22815,7 +22769,7 @@
+ $as_test_x conftest$ac_exeext; then
+ LIBINTL="$LIBINTL $LIBICONV"
+ LTLIBINTL="$LTLIBINTL $LTLIBICONV"
+- eval "$gt_func_gnugettext_libintl=yes"
++ gt_cv_func_gnugettext1_libintl=yes
+
+ else
+ echo "$as_me: failed program was:" >&5
+@@ -22830,13 +22784,12 @@
+ CPPFLAGS="$gt_save_CPPFLAGS"
+ LIBS="$gt_save_LIBS"
+ fi
+-ac_res=`eval echo '${'$gt_func_gnugettext_libintl'}'`
+- { echo "$as_me:$LINENO: result: $ac_res" >&5
+-echo "${ECHO_T}$ac_res" >&6; }
++{ echo "$as_me:$LINENO: result: $gt_cv_func_gnugettext1_libintl" >&5
++echo "${ECHO_T}$gt_cv_func_gnugettext1_libintl" >&6; }
+ fi
+
+- if { eval "gt_val=\$$gt_func_gnugettext_libc"; test "$gt_val" = "yes"; } \
+- || { { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; } \
++ if test "$gt_cv_func_gnugettext1_libc" = "yes" \
++ || { test "$gt_cv_func_gnugettext1_libintl" = "yes" \
+ && test "$PACKAGE" != gettext-runtime \
+ && test "$PACKAGE" != gettext-tools; }; then
+ gt_use_preinstalled_gnugettext=yes
+@@ -22876,7 +22829,7 @@
+ { echo "$as_me:$LINENO: checking where the gettext function comes from" >&5
+ echo $ECHO_N "checking where the gettext function comes from... $ECHO_C" >&6; }
+ if test "$gt_use_preinstalled_gnugettext" = "yes"; then
+- if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; }; then
++ if test "$gt_cv_func_gnugettext1_libintl" = "yes"; then
+ gt_source="external libintl"
+ else